%{

/* diact.l
 * lex file to modify the header of a LaTeX document and to 
 * iterate over the input files.
 * 
 * The resulting LaTeX file uses german.sty!
 * If you do NOT want to use GERMAN.STY, replace underneath the ruleset
 * for \documentstyle with the following rule:

\\documentstyle[^\}]*\}	{ printf("%s\n", yytext);
			printf("\\newskip\\zeeskip\n");
			printf("\\zeeskip=0pt plus0pt minus0pt\n");
			printf("\\def\\1{\\nobreak\\hskip\\zeeskip}\n");
			printf("\\let\\umlaut\\\"\n");
			printf("\\def\\\"#1{\\1\\umlaut#1\\1}\n");
			printf("\\let\\oldss\\ss\n");
			printf("\\def\\ss{\\1\\oldss\\1}\n"); }
 *
 */

#include "diacaux.h"
int i;
%}

%p 6500
%n 2000
%e 2500
%a 4000
%k 2500
%o 3500

b       [ \t\n]

%%

\\documentstyle{b}*\{   printf("\\documentstyle[german]{");
\\documentstyle{b}*\[.*german.*\]{b}*\{   ECHO;    
\\documentstyle{b}*\[.*\]{b}*\{ { 
                          for(i=13;yytext[i]!='[';i++);
                          printf("\\documentstyle[german,%s",&yytext[i+1]);}



\\input{b}*\{[^\}]+\}	{ texfile = getfilenamebrack(&yytext[6]);
			  dosubdiac(texfile, tempfile,"\\input{%s}\n");
			}

\\input{b}+[^ \t\n]+	{ texfile = getfilename(&yytext[6]);
			  dosubdiac(texfile, tempfile,"\\input %s\n");
			}
\\include{b}*\{[^\}]+\}	{ texfile = getfilenamebrack(&yytext[8]);
			  dosubdiac(texfile, tempfile,"\\include{%s}\n");
			}

\\include{b}+[^ \t\n]+	{ texfile = getfilename(&yytext[8]);
			  dosubdiac(texfile, tempfile,"\\include %s\n"); 
			}

\\begin\{.+\}	ECHO;
\\end\{.+\}	ECHO;
\\[A-Za-z]+	ECHO;

